Skip to main content
`Ctrl`+`K`

# DMShellSetCreateInjection

Set the routine used to create the injection operator

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateInjection(DM dm, PetscErrorCode (*inject)(DM, DM, Mat *))

Logically Collective

## Input Parameters

- dm - the `DMSHELL`

- inject - the routine to create the injection

## See Also

`DM`, `DMSHELL`, `DMShellSetCreateInterpolation()`, `DMCreateInjection()`, `DMShellGetCreateInjection()`, `DMShellSetContext()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages